assemble_image_circle_click_old = {}

assemble_image_circle_click_old.params = 
{
	step_count = 10,  -- количество разных положений кольца (определяет величину одного поворота)
	sound_rotation = "rotation_ring",
	on_win_delay = 1500, -- задержка экрана после победы
	speed = 1, -- скорость вращения колец (градусы в секунду)
	dependence = { -- настройка зависимостей колец друг от друга
		{ -- первое кольцо
			{num = 3, dif_angle = -3} -- на сколько сегментов сдвигается кольцо в номером 3 при нажатии на кольцо номер 1
		}, 
		{ -- второе кольцо
			{num = 3, dif_angle = 4}, 
			{num = 4, dif_angle = 2}
		},
		{ -- третье кольцо
			{num = 4, dif_angle = -5}
		},
		{ -- четвертое кольцо ничего не поворачивает
		}
	}
}

assemble_image_circle_click_old.Init = function(_owner)
	assemble_image_circle_click.params = assemble_image_circle_click_old.params
	assemble_image_circle_click.Init(_owner)
end

for p,v in pairs(assemble_image_circle_click) do
	if not assemble_image_circle_click_old[p] then assemble_image_circle_click_old[p] = v end
end